Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class VdbManifest

    java.lang.Object
      org.modeshape.sequencer.teiid.VdbManifest

    public class VdbManifest

extends Object

Nested Class Summary
`protected static class` | `VdbManifest.Reader`

Constructor Summary
`VdbManifest()`

Method Summary
`String` | `getDescription()`
`List<VdbModel>` | `getModels()`
`String` | `getName()`
`int` | `getVersion()`
`boolean` | `isPreview()`
`Iterable<VdbModel>` | `modelsInDependencyOrder()`
`static VdbManifest` | `read(InputStream stream, ExecutionContext context)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setPreview(boolean preview)`
`void` | `setVersion(int version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VdbManifest

    public VdbManifest()

Method Detail

### getName

    public String getName()

  Returns:
    name

### setName

    public void setName(String name)

  Parameters:
    `name` - Sets name to the specified value.

### getDescription

    public String getDescription()

  Returns:
    description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - Sets description to the specified value.

### isPreview

    public boolean isPreview()

  Returns:
    preview

### setPreview

    public void setPreview(boolean preview)

  Parameters:
    `preview` - Sets preview to the specified value.

### getVersion

    public int getVersion()

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Parameters:
    `version` - Sets version to the specified value.

### getModels

    public List<VdbModel> getModels()

  Returns:
    models

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### modelsInDependencyOrder

    public Iterable<VdbModel> modelsInDependencyOrder()

### read

    public static VdbManifest read(InputStream stream,
                                   ExecutionContext context)
                            throws IOException,
                                   SAXException

  Throws:
    `IOException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.